routes/web.php
<?php

use App\Specialty;
use App\Symptom;
use Illuminate\Support\Facades\Auth;
use Illuminate\Http\Request;
use App\Doctor;
use App\Disease;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/',function(){
//     return view ('blank');
// });

Route::get('/', 'HomeController@index');
Route::get('/home', 'HomeController@dash')->name('home');
Auth::routes(['verify' => true]);


Route::get('/profile', 'ProfileController@show')->name('profile.show');
Route::get('/profile/{id}', 'ProfileController@find')->name('profile.find');
Route::post('/profile', 'ProfileController@promotion')->name('profile.promotion');
//Route::get('/profile', 'ProfileController@edit')->name('profile.edit');
Route::put('/profile', 'ProfileController@update')->name('profile.update');
Route::resource('doctor_work', 'DoctorWorkController');//->name('doctor_work');
Route::resource('doctor_certificates', 'DoctorCertificatesController');

Route::get('search', 'HomeController@view')->name('search');
// Route::post('search', 'HomeController@search')->name('search');

//nationalites route
Route::resource('nationalities', 'NationalityController');

//specialties route
Route::resource('specialties', 'SpecialtyController');
Route::get('specialties/{id}/changeState', 'SpecialtyController@changeState')->name('specialties.changeState');

//specialties route
Route::resource('symptoms', 'SymptomController');
Route::get('symptoms/{id}/changeState', 'SymptomController@changeState')->name('symptoms.changeState');

//specialties route
Route::resource('diseases', 'DiseaseController');
Route::get('diseases/{id}/changeState', 'DiseaseController@changeState')->name('diseases.changeState');

Route::resource('register', 'RegisterController');
Route::get('register_doctor', 'RegisterController@create_doctor')->name('register_doctor');
Route::post('store_doctor', 'RegisterController@store_doctor')->name('store_doctor');

Route::resource('doctor_specialties', 'DoctorSpecialtyController');


Route::resource('doctors', 'DoctorController');
Route::get('doctors/{id}/activate', 'DoctorController@activate')->name('doctors.activate');



Route::resource('chats', 'ChatController');
Route::get('secialaties/{id}', function ($id) {
    $spec =  Specialty::find($id);
    
    $symptoms = collect(new Symptom());
    
    foreach ($spec->diseases as $des) {
        $symptoms = $symptoms->merge($des->symptoms);
    }    
    $uniqueCollection = $symptoms->unique('id'); 
    return $uniqueCollection;
})->name('load-spec');

Route::post('search', function (Request $request) {
    $syms =  Symptom::where('id',[$request->symptomsSelect])->get();
    $diseases = collect(new Disease());

    foreach ($syms as $key1 => $sym) {
        foreach ($sym->diseases as $key2 => $dis) {
            if($dis->id == $request->pecialty_id){
                if(!$diseases->contains($dis)){
                    $diseases->prepend($dis);
                }
            }
        }
        
    }
    
    $spec =  Specialty::find($request->pecialty_id);
    
    $specialties = Specialty::all();

    // foreach ($spec->users as $key => $user) {
    //     $doctors = $user;
    // }

    // $symptoms  = Symptom::all()->pluck('common_name')->toArray();

    // $symptoms = implode(",",$symptoms);
  
    $data = [
        'doctors' => $spec->users,
        'specialties' => $specialties,
        'symptoms' => $syms ,
         'diseases' => $spec->diseases,
    ];

 //   dd()
    return view('search')->with( $data);
})->name('search');

app/Http/Controllers/DoctorWorkController.php
<?php
namespace App\Http\Controllers;
    
use App\Specialty;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use App\Work;

class DoctorWorkController extends Controller
{/** HomeController.php
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware(['auth', 'verified']);
    }
        /**
         * Display a listing of the resource.
         *
         * @return \Illuminate\Http\Response
         */
        public function index()
        {
            $doctor_works = Auth::user()->works()->pluck('id')->toArray();
    
            $works = Specialty::all();
     
            $data = [
                'doctor_works' => $doctor_works,
                'works' => $works
            ];
    
            return View('doctor_works.index')->with($data);
        }
    
        /**
         * Show the form for creating a new resource.
         *
         * @return \Illuminate\Http\Response
         */
        public function create()
        {
            return view('doctor_works.create');
        }
    
        /**
         * Store a newly created resource in storage.
         *
         * @param  \Illuminate\Http\Request  $request
         * @return \Illuminate\Http\Response
         */
        public function store(Request $request)
        {
          //  return $request->name;
            $rules = [
                'name' => 'required',
            ];
    
            $messages = [
            ];
    
            $this->validate($request, $rules,$messages);
    
            $user = Auth::user();
            $work = New Work();
            $work->user_id = $user->id;
            $work->name = $request->name;
            $work->save();
        
            return redirect()->route('doctor_work.index')->with('success', 'تم حفظ تخصصات الطبيب في قاعدة البيانات بنجاح');
        }
    
        /**
         * Display the specified resource.
         *
         * @param  \App\Disease  $disease
         * @return \Illuminate\Http\Response
         */
        public function show($id)
        {        

        }
    
        /**
         * Show the form for editing the specified resource.
         *
         * @param  \App\Disease  $disease
         * @return \Illuminate\Http\Response
         */
        public function edit($id)
        {
            $work = Work::find($id);
            if(Auth::User()->works->contains($work)){
                return view('doctor_works.edit')->with(['work' => $work]);
            }
            return view('doctor_works.index');//->with(['work' => $work]);
    
        }
    
        /**
         * Update the specified resource in storage.
         *
         * @param  \Illuminate\Http\Request  $request
         * @param  \App\Disease  $disease
         * @return \Illuminate\Http\Response
         */
        public function update(Request $request, $id)
        {
            $rules = [
                'name' => 'required|string|min:1' . $id,
            ];
    
            $messages = [
            ];
            
            $this->validate($request, $rules,$messages);
    
            $work = Work::findOrFail($id);
            $work->name = $request->name;
            $work->update();
    
            return redirect()->route('doctor_work.index')->with('success', 'تم تعديل العمل في قاعدة البيانات بنجاح');
        }
    
        /**
         * Remove the specified resource from storage.
         *
         * @param  \App\Disease  $disease
         * @return \Illuminate\Http\Response
         */
        public function destroy($id)
        {
            
        //$symptom = 
        Work::find($id)->delete();
        // $symptom->delete();
 
         return redirect()->route('doctor_work.index')->with('success','تمت عملية حذف العمل من قاعدة البيانات بنجاح');
    
        }
    }
    

resources/views/doctor_works/create.blade.php
@extends('layouts.main')

@section('content')
    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                    <div class="card shadow">
                            <div>
                            @include('includes.messages')
                            <p class="main-title">إدارة الاعمال | </p>
                            <p class="smale-title">إضافة عمل</p>
                        </div>
                        <div class="bord">
                            <form method="POST" action="{{ route('doctor_work.store') }}">
                                @csrf
                                <div class="row">
                                    <div class="col-lg-12">
                                        <div class="form-group focused">
                                            <label class="form-control-label " >اسم العمل</label>
                                            <input type="text" name="name" value="{{ old('name') }}" class="form-control form-control-alternative" placeholder="العمل">
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class=" col-md-12 ">
                                        <button type="submit" class="btn btn-success">
                                            حفظ <i class="fa fa-check"></i>
                                        </button>
                                        <a href="{{route('doctor_work.index')}}" class="btn btn-danger">   إلغاء الأمر <i class="fa fa-close"></i> </a>
                                    </div>
                                </div>
                            </form>
                        </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/doctor_works/edit.blade.php
@extends('layouts.main')

@section('content')
    <div class="container-fluid mt--7">
        <div class="row">
                <div class="col">
                        <div class="card shadow">
                            <div>
                                    @include('includes.messages')
                      
                                    <div>
                                        <p class="main-title">إدارة الاعمال | </p>
                                        <p class="smale-title">قائمة الاعمال</p>
                                    </div>
                        <div class="bord">
                            <form method="POST" action="{{ route('doctor_work.update', $work->id) }}">
                                @csrf
                                @method('PUT')
                                <div class="row">
                                    <div class="col-lg-12">
                                        <div class="form-group focused">
                                            <label class="form-control-label " >اسم العرض</label>
                                            <input type="text" name="name" value="{{ $work->name }}" class="form-control form-control-alternative" placeholder="اسم العرض">
                                        </div>
                                    </div>
                                </div>
                              
                                <div class="row">
                                    <div class=" col-md-12 ">
                                        <button type="submit" class="btn btn-success">
                                            حفظ <i class="fa fa-check"></i>
                                        </button>
                                        <a href="{{route('doctor_work.index')}}" class="btn btn-danger">   إلغاء الأمر <i class="fa fa-close"></i> </a>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
    </div>
</div>
@endsection

resources/views/doctor_works/index.blade.php
@extends('layouts.main')

@section('content')

    <div class="container-fluid mt--7">
      <div class="row">
        
            <div class="col">
                    <div class="card shadow">
                        @include('includes.messages')
                      
                          <div>
                              <p class="main-title">إدارة الاعمال | </p>
                              <p class="smale-title">قائمة الاعمال</p>
                          </div>
                      <div class="row">
                        <div>
                          <a class="btn btn-success" href="{{ route('doctor_work.create') }}"> إضافة</span></a>
                        </div>
                      </div>
                      <br>
                      <div class="table-responsive">
                        <table class="table align-items-center table-flush">
                          <thead class="thead-light">
                            <tr>
                              <th>#رقم</th>
                              <th width="30%">اسم العمل</th>
                              <th>العمليات</th>
                            </tr>
                          </thead>
                          <tbody style="text-align: center">
                            @foreach (Auth::user()->works as $index => $work)
                              <tr>
                                <td> {{ $index + 1 }} </td>
                                <td> {{ $work->name }} </td>
                                <td>
                                  <a class="btn btn-primary  btn-sm" href="{{ route('doctor_work.edit', $work->id)}}"><span class="fa fa-edit"></span>تعديل </a>
                                  <a class="btn btn-danger btn-sm remove-record" data-csrf="{{csrf_token()}}" data-toggle="modal" data-url="{{route('doctor_work.destroy', $work->id) }}" data-id="{{$work->id}}" data-target="#custom-width-modal"><span class="fa fa-trash"></span>حذف</a>
                                </td>
                              </tr>  
                            @endforeach
          
                          </tbody>
                        </table>
                      </div>
                    </div>
                  </div>
                </div>
    </div>
</div>
@endsection

@section('modals')
    @include('includes.delete-confirmation')
@endsection

@section('scripts')
    {{-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script> --}}
    <script src="{{ asset('js/delete-confremation.js') }}"></script>
    {{-- <script src="{{asset('js/dataTables.bootstrap.min.js')}}"></script> --}}
    {{-- <script src="{{asset('js/jquery.dataTables.min.js')}}"></script> --}}

    {{-- <script>
      $(document).ready( function () {
          $('#myTable').DataTable();
      });
    </script> --}}

@endsection

resources/views/doctor_works/show.blade.php
@extends('layouts.main')

@section('content')
    <div class="container-fluid mt--7">
      <div class="row">
        
        <div class="col">
          <div class="card shadow">
              @include('includes.messages')
            
                <div>
                    <p class="main-title">أعراض المرض </p>
                </div>
            <br>
            <div class="table-responsive">
              <table class="table align-items-center table-flush">
                <thead class="thead-light">
                  <tr>
                    <th>#رقم</th>
                    <th width="30%">اسم العرض</th>
                    <th width="30%">الاسم الشائع</th>
                    <th width="20%">الحالة</th>
                  </tr>
                </thead>
                <tbody style="text-align: center">
                  @foreach ($symptoms as $index => $symptom)
                    <tr>
                      <td> {{ $index + 1 }} </td>
                      <td> {{ $symptom->name }} </td>
                      <td> {{ $symptom->common_name }} </td>
                      <td>
                          @if ($symptom->active == 1)
                              <div class="badge badge-success">مفعل</div>
                          @else
                              <div class="badge badge-danger">معطل</div>
                          @endif
                      </td>
                    </tr>  
                  @endforeach

                </tbody>
              </table>
            </div>
            @if ($symptoms->isEmpty())
                <br>
                <div style="text-align: center; color: #f5365c;">لا توجد أعراض لهذا المرض</div>
                <br>
            @endif
          </div>
        </div>
        </div>
        <br>
        <div class="row">
            <div class=" col-md-12 ">
                <a href="{{route('diseases.index')}}" class="btn btn-danger">   رجوع <i class="fa fa-close"></i> </a>
            </div>
        </div>
    </div>
</div>
@endsection

@section('modals')
    @include('includes.delete-confirmation')
@endsection

@section('scripts')
    {{-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script> --}}
    <script src="{{ asset('js/delete-confremation.js') }}"></script>
@endsection